Subject: Re: emacs-x11 takes 30-40 sec to open after upgrading to cygwin-1.7
From: Dan Tsafrir <[email-masked]>
To: [email-masked]
Date: Tue, 30 Mar 2010 00:32:13 +0300
List-Id: <cygwin.cygwin.com>

On Mon, Mar 29, 2010 at 15:13, Ken Brown <[email-masked]> wrote:
> On 3/29/2010 6:33 AM, Dan Tsafrir wrote:
>>
>> Hi,
>>
>> After I've upgraded to cygwin-1.7 my emacs takes 30-40 seconds to
>> open. Following
>> http://x.cygwin.com/docs/faq/cygwin-x-faq.html#poor-performance,
>> disabling my antivirus has no affect on emacs's opening time. As far
>> as I can tell other X programs behave similarly to the way they did
>> before the upgrade. Any help would be appreciated. The output of
>> 'cygcheck -s -v -r' is attached.
>
> Does this happen only when you start emacs under X11?  If so, the discussion
> probably belongs on the cygwin-xfree list.

If you are referring to, e.g., how long it takes 'emacs -nw' to open,
then it's like you speculated, namely, immediately responsive.

> Have you tried starting emacs with the -Q option?  This will eliminate the
> effects of your customizations (.emacs, .Xdefaults, etc.).

Adding the -Q option doesn't change a thing: the opening of emacs-x11
with this option is still very slow, around 30-40 seconds as I
reported initially.

Thanks,
--Dan

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple